Bug 1007201 - (CVE-2013-5722) CVE-2013-5722 wireshark: LDAP dissector crash (wnpa-sec-2013-59)
CVE-2013-5722 wireshark: LDAP dissector crash (wnpa-sec-2013-59)
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20130910,reported=2...
: Security
Depends On: 1007254 1007264 1007278
Blocks: 1007214
  Show dependency treegraph
 
Reported: 2013-09-12 01:55 EDT by Murray McAllister
Modified: 2015-10-15 14:00 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-13 00:44:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2013-09-12 01:55:44 EDT
A flaw was found in the Wireshark LDAP dissector. Wireshark could crash if it read a malformed packet off a network, or opened a malicious dump file. This issue affects Wireshark versions 1.10.0 to 1.10.1 and 1.8.0 to 1.8.9. It is fixed in versions 1.10.2 1.8.10.

References:

https://www.wireshark.org/security/wnpa-sec-2013-59.html
Comment 1 Peter Lemenkov 2013-09-12 03:47:53 EDT
(In reply to Murray McAllister from comment #0)
> A flaw was found in the Wireshark LDAP dissector. Wireshark could crash if
> it read a malformed packet off a network, or opened a malicious dump file.
> This issue affects Wireshark versions 1.10.0 to 1.10.1 and 1.8.0 to 1.8.9.
> It is fixed in versions 1.10.2 1.8.10.

That's hard to fix this (and related) issue due to scary message:

"You are not authorized to access bug #1007214."

Murray, are these bugs RHEL-related or something?
Comment 2 Murray McAllister 2013-09-12 04:15:53 EDT
Created wireshark tracking bugs for this issue:

Affects: fedora-all [bug 1007264]
Comment 3 Murray McAllister 2013-09-12 04:18:20 EDT
(In reply to Peter Lemenkov from comment #1)
> (In reply to Murray McAllister from comment #0)
> > A flaw was found in the Wireshark LDAP dissector. Wireshark could crash if
> > it read a malformed packet off a network, or opened a malicious dump file.
> > This issue affects Wireshark versions 1.10.0 to 1.10.1 and 1.8.0 to 1.8.9.
> > It is fixed in versions 1.10.2 1.8.10.
> 
> That's hard to fix this (and related) issue due to scary message:
> 
> "You are not authorized to access bug #1007214."
> 
> Murray, are these bugs RHEL-related or something?

Hello Peter,

Very sorry for the confusion. I mistakenly did not file the Fedora bugs right away. I have done that now.

Yes, #1007214 is RHEL related with some questions I had about older RHEL releases. Please ignore it (although hard not to, when I didn't file the right bugs first...)

Cheers
Comment 5 Huzaifa S. Sidhpurwala 2013-09-13 00:40:17 EDT
This one looks like:

http://anonsvn.wireshark.org/viewvc?view=revision&revision=51516
Comment 6 Huzaifa S. Sidhpurwala 2013-09-13 00:40:49 EDT
Statement:

Not Vulnerable. This issue does not affect the version of wireshark as shipped with Red Hat Enterprise Linux 5 and 6.
Comment 7 Huzaifa S. Sidhpurwala 2013-09-13 00:44:24 EDT
This issue affects the version of wireshark as shipped with Fedora 18 and 19.
Comment 10 Huzaifa S. Sidhpurwala 2014-01-21 08:34:21 EST
I dont have access to the closed bug or the cap file, so this one will need to be SanityOnly

Note You need to log in before you can comment on or make changes to this bug.